> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Elements Summary

> Kling Elements Description



## OpenAPI

````yaml /openapi/kling.json post /kling/elements
openapi: 3.0.0
info:
  title: Kling video generation
  version: 1.0.0
  description: API reference for Kling video generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /kling/elements:
    post:
      summary: Kling Elements Summary
      description: Kling Elements Description
      operationId: kling_elements
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                action:
                  type: string
                  enum:
                    - list
                    - presets
                    - retrieve
                    - delete
                    - create
                  default: list
                id:
                  type: string
                  description: Kling Assets Platform Id
                page_num:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 1
                page_size:
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 30
                async:
                  type: boolean
                callback_url:
                  type: string
                  format: uri
                element_name:
                  type: string
                  minLength: 1
                  maxLength: 20
                element_description:
                  type: string
                  minLength: 1
                  maxLength: 100
                reference_type:
                  type: string
                  enum:
                    - image_refer
                    - video_refer
                element_voice_id:
                  type: string
                  description: Kling Assets Owned Voice Id
                element_image_list:
                  type: object
                  additionalProperties: false
                  required:
                    - frontal_image
                    - refer_images
                  properties:
                    frontal_image:
                      type: string
                    refer_images:
                      type: array
                      items:
                        type: object
                        additionalProperties: false
                        required:
                          - image_url
                        properties:
                          image_url:
                            type: string
                      minItems: 1
                      maxItems: 3
                element_video_list:
                  type: object
                  additionalProperties: false
                  required:
                    - refer_videos
                  properties:
                    refer_videos:
                      type: array
                      items:
                        type: object
                        additionalProperties: false
                        required:
                          - video_url
                        properties:
                          video_url:
                            type: string
                            format: uri
                      minItems: 1
                      maxItems: 1
      responses:
        '200':
          description: Kling Assets Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                        kind:
                          type: string
                          enum:
                            - element
                            - voice
                        name:
                          type: string
                        description:
                          type: string
                        reference_type:
                          type: string
                        preset:
                          type: boolean
                        voice_id:
                          type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.